Description

It would be nice to be able to save the absolute path to the images you use in a composer, and espacially (more needed) a composer

template.

This would make it possible to save a standard template on a shared directory, and be able to let it use by all the QGis-users in all of their

projects. In this way they don't have to worry about the format, logo's, even if the company-logo changes; you just change one file!

Now it is always a relative path in the .qpt-file. So if you change the place of you qgs-project, or you us a project in another directory,

loading the template gives you a 'red cross', the link is not found anymore due to the fact it's a relative link..

Thanx!

History

#1 - 2015-05-22 06:56 AM - Filip Mahieu

I found a solution: see http://gis.stackexchange.com/questions/90612/how-to-save-qgis-composer-template-with-image-e-g-company-logo/147928

However, the feature request stays especially because one could want a template to be used by different users in different projects.

As an extension on this request I'll add a new request to be able to choose the setting 'absolute' as a default in all projects (in Project - properties - General

- Save path). Now in every project one makes, 'relative' is set. To be able to set as default 'Absolute' (or 'Relative') would be nice.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-10-06 07:26 AM - Olivier Dalang

IMO this should be classified as a bug rather than feature request, as you'd expect all path to respect the project's relative/absolute setting.

Cheers !
